<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue\UsernameChatStartModeAction;

use UnexpectedValueException;




class ChatStartMode
{
    


    const CHAT_START_MODE_UNSPECIFIED = 0;
    


    const LID = 1;
    


    const PN = 2;

    private static $valueToName = [
        self::CHAT_START_MODE_UNSPECIFIED => 'CHAT_START_MODE_UNSPECIFIED',
        self::LID => 'LID',
        self::PN => 'PN',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

